% logistic map bifurcation diagram via contour plotting

clear all

a0 = 2.00;                     % initial parameter value
a1 = 3.75;                     % final parameter value
N = 400;                       % number of parameter values

da = (a1 - a0)/(N-1);
[aa,xx] = meshgrid(a0:da:a1,0:.001:1);

f = zeros(1001,N,8);
f(:,:,1) = aa.*xx.*(1-xx);
for j=2:8
    f(:,:,j) = aa.*f(:,:,j-1).*(1-f(:,:,j-1));
end

% bifurcation plot for f^4

z = f(:,:,4) - xx;
figure(5)
contour(aa,xx,z,[0 0],'r')   
xlabel a, ylabel x
axis([a0 a1 0 1]), set(gca,'xtick',a0:(a1-a0)/10:a1,'ytick',0:.2:1)


