% logistic map bifurcation diagram

a0 = 2.83;                     % initial parameter value
a1 = 3.86;                     % final parameter value
N = 200;                       % number of parameter values
Niter = 150;                   % number of iterates to keep

da = (a1 - a0)/(N-1);
aa = a0:da:a1;

% determine the diagram

xt = zeros(751,1);
x = zeros(Niter,N);
for i=1:N
    xt(1) = 0.3;
    for j=1:750                        % remove the transients
        xt(j+1) = aa(i)*xt(j)*(1-xt(j));
    end  
    x(1,i) = xt(751);
    for j=1:Niter-1
        x(j+1,i) = aa(i)*x(j,i)*(1-x(j,i));
    end
end    

% plot the diagram

figure(2)
for i=1:N
    plot(aa(i)*ones(Niter,1),x(:,i),'b.','MarkerSize',2)
    hold on
end    
xlabel a, ylabel x
axis([a0 a1 0 1]), set(gca,'xtick',a0:(a1-a0)/10:a1,'ytick',0:.2:1)
hold off

