% plot of logistic map dynamics with cobweb diagram

a = 3.85;                       % multiplication parameter
N = 100;                        % number of iterates to be plotted
x0 = 0.3;                       % initial point

% determine the orbit

x = zeros(N,1); x(1) = x0;
for j=1:N-1
    x(j+1) = a*x(j)*(1-x(j));
end

% set-up cobweb diagram

xx = zeros(2*N-1,1);
yy = zeros(2*N-1,1);
yy(1)=x(1);
for i=1:N-1
    xx(2*i-1)=x(i);
    xx(2*i)=x(i);
    yy(2*i)=x(i+1);
    yy(2*i+1)=x(i+1);
end;
xx(2*N-1)=x(N-1);

% plot the iterates

xp = 0:.01:1;
f = a*xp.*(1-xp);

figure(1)
subplot(1,2,1)
plot(xp,f,'b',xp,xp,'g',xx,yy,'r')
xlabel x, ylabel y
subplot(1,2,2)
plot(x,'bo-')
xlabel n, ylabel x_n
axis([0 N 0 1]), set(gca,'xtick',0:20:N,'ytick',0:.2:1)

