% plot of logistic map iterate differences

a = 3.82;                       % multiplication parameter
N = 300;                        % number of iterates to be plotted
x0a = 0.3000;                   % initial point a
x0b = 0.3001;                   % initial point b

% determine the orbit and the difference

e = zeros(N,1);
x = zeros(N,2); 
x(1,1) = x0a; x(1,2) = x0b;
for j=1:N-1
    x(j+1,1) = a*x(j,1)*(1-x(j,1));
    x(j+1,2) = a*x(j,2)*(1-x(j,2));
end
e = abs(x(:,1)-x(:,2));

% plot the error

emax = max(e);
figure(4)
plot(e,'bo-')
xlabel n, ylabel e_n
axis([0 N 0 emax]), set(gca,'xtick',0:20:N,'ytick',0:emax/3:emax)

